IT
API & MCPDocumentazione

Piattaforma per agenti e API Mariner GPS Tools

Calcola il rilevamento vero iniziale

Calcola il rilevamento vero iniziale da una posizione a un'altra.

Interfacce

POST
Punto finale REST/api/v1/bearing
MCP
Nome dello strumentocalculate_bearing

Richiesta

Invia la richiesta come JSON. I client MCP passano gli stessi campi degli argomenti dello strumento.

cURLshell
curl -X POST https://marinergps.tools/api/v1/bearing \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}'
Richiedi corpojson
{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}

Risposta

REST racchiude il risultato del calcolo nella busta di successo standard. MCP restituisce gli stessi dati di calcolo come output strutturato dello strumento.

JSON
{
  "ok": true,
  "data": {
    "degrees": 112.54786806700503,
    "compass": "ESE"
  }
}

Schemi

Le definizioni seguenti mostrano lo schema JSON completo utilizzato per convalidare gli input e descrivere gli output.

Schema di input

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "from": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    },
    "to": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    }
  },
  "required": [
    "from",
    "to"
  ]
}

Schema di output

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "degrees": {
      "type": "number"
    },
    "compass": {
      "type": "string"
    }
  },
  "required": [
    "degrees",
    "compass"
  ]
}

Risultati del benchmark MCP

Misurato per questo strumento con e senza il server MCP di Mariner GPS Tools collegato.

92%di token generati dal modello in menoMediana per questo strumento su 8 dei 9 modelli con un numero sufficiente di risultati di riferimento corretti per il confronto.
5,2×più veloce nei benchmarkMediana per questo strumento su 8 dei 9 modelli con un numero sufficiente di risultati di riferimento corretti per il confronto.
100%di risposte corrette con MCP, contro 93,5% senza strumenti108/108 osservazioni MCP per questo strumento entro la tolleranza.

Misurato a settembre 2026 · 9 modelli · 4 casi di navigazione · 3 ripetizioni · 216 osservazioni · MCP di produzione

Documentazione API e MCP